{
  "version": "0.2.0",
  "configurations": [
    {
      "name": "حکم‌شو (موبایل واقعی - LAN)",
      "request": "launch",
      "type": "dart",
      "program": "lib/main.dart",
      "args": [
        "--dart-define=BASE_URL=http://192.168.8.210:8080",
        "--target-platform=android-arm64"
      ]
    },
    {
      "name": "حکم‌شو (امولاتور اندروید)",
      "request": "launch",
      "type": "dart",
      "program": "lib/main.dart",
      "args": ["--dart-define=BASE_URL=http://10.0.2.2:8080"]
    },
    {
      "name": "حکم‌شو (وب / iOS sim - localhost)",
      "request": "launch",
      "type": "dart",
      "program": "lib/main.dart",
      "args": ["--dart-define=BASE_URL=http://localhost:8080"]
    }
  ]
}
